Thunderbird menu item "Move To" under "Message" missing items

Bug #1045196 reported by Finn Årup Nielsen on 2012-09-03
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Global menubar extension
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Just security upgrading Thunderbird (related to http://www.ubuntu.com/usn/usn-1551-1/) I no longer see the folders as menu items in the "Move To" and "Copy To" menu items in the "Message" menu item. :-(

I have see them before. I still see the folder pane on the left side and with the mouse I am able to move emails from the inbox to the folders in the folder pane. The menu items were convenient when moving emails with keyboard-only interfacing.

Perhaps related problem https://answers.launchpad.net/ubuntu/+source/unity/+question/181043

Chris Coulson (chrisccoulson) wrote :

Those menuitems are present here. Please have a read of the bug reporting guidelines (https://wiki.ubuntu.com/MozillaTeam/Bugs) before reporting Thunderbird bugs. We provide a link to this on the bug submission form. In particular, all bugs must be submitted with Apport, and it also describes other steps you can take to help provide a useful bug report (eg, disabling extensions)

Changed in thunderbird (Ubuntu):
status: New → Invalid
Chris Coulson (chrisccoulson) wrote :

Actually, I can reproduce this now

affects: thunderbird (Ubuntu) → globalmenu-extension
Changed in globalmenu-extension:
status: Invalid → New
Chris Coulson (chrisccoulson) wrote :

This will be fixed in the next nightly build of Thunderbird. Sorry for the inconvenience. Are you able to use the context menu for now? (the items in there still work ok)

Changed in globalmenu-extension:
status: New → Fix Released
Changed in thunderbird (Ubuntu):
status: New → Fix Committed
Micah Gersten (micahg) on 2012-09-03
tags: added: precise regression-update
VanillaMozilla (vanillamozilla) wrote :

If you actually want bugs to be reported, please don't be so hasty to mark them invalid. This is extraordinarily insulting to people who spend their time to report bugs. If you can't duplicate the problem, you can ask for more information.

The article you linked says not to use Launchpad to report bugs. And yet, somehow, Launchpad makes it possible to report bugs. Please either learn to deal with it or provide clear, specific directions in a place where they will be found.

Micah Gersten (micahg) wrote :

@VanillaMozilla, I marked your bug as a duplicate of this one so that you can see the issue has already been reported and a fix committed to the trunk branch.

VanillaMozilla (vanillamozilla) wrote :

Yes, thanks for doing that. I appreciate your response and the fact that it was fixed. I really do. My comment was referring to the fact that this bug was marked invalid first and THEN verified.

If you read your link, you will see that it says "Please don't waste developers or bug triagers time by submitting bug reports using the Launchpad interface." And it says that bugs will be ignored (probably without any reasonable attempt to verify). I know from experience that this is not an idle threat. But from the reporter's point of view, bug-reporting directions are long, complicated, hard-to-find, and often self-contradictory. In some cases one is required to install debugging modules that don't exist.

I appreciate your presumably volunteer effort, and sorry, I know you aren't responsible for the munged directions. But if anyone asks you, discouraging bug reports because they lack the secret handshake is not a good way to get better reports or reduce the number. I personally know of a bug that will reliably crash the whole login session, but it gets automatically closed without attempting to duplicate it because it has not proved possible to get an Apport report.

****
Regarding this bug, please note that the "Move to..." menu items are NOT the only broken ones. So if those are the only ones that are fixed, problems will remain. But I'm not going to follow up because I have permanently removed the offending module and everything works without it.

Chris Coulson (chrisccoulson) wrote :

There is no "secret handshake". We require all bug reporters to use Apport because it saves both them and us time by avoiding us having to ask the same questions over and over again. The majority of bug reports we get are poorly described, missing vital details and take up a lot of developer/triager man hours just to get basic information from the reporter (and quite often turn out to be because of an addon or some preference that they have changed - both of which can be answered up front just by following the first couple of points in the guidelines).

The guidelines aren't that hard to find. There is a link to them on the form you use to submit Firefox or Thunderbird bugs in Launchpad.

We don't ask reporters to read the guidelines just to annoy them. It really is for their benefit, as well as the benefit of myself and other volunteers contributing their own time to triaging bug reports.

VanillaMozilla (vanillamozilla) wrote :

"The guidelines aren't that hard to find. There is a link to them on the form you use to submit Firefox or Thunderbird bugs in Launchpad."

I think we're getting somewhere.

There's no link if you submit a question from the Answers tab. It's usually considered a good idea to discuss a problem before submitting a bug report, but if you do this, you won't see the link. Ironically, these might be some of the best bug reports, even though they lack Apport information.

Moreover, the guide says not to use Launchpad to submit bug reports to Launchpad. You don't see a problem here? I appreciate the attempt to encourage Apport use, but this seems like an odd way of doing it.

There's another problem. Apport captures crashes. Just how does one use it to report a broken menu or some other bug that does not result in a crash?

For the record, the bug reporting procedure is
ubuntu-bug -w (then click on the application window)

or
ubuntu-bug thunderbird
or
ubuntu-bug thunderbird-globalmenu

Sorry, I missed that in the instructions. However, do note that there is no link to this procedure if you report the bug from Launchpad Answers.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 15.0.1+build1-0ubuntu1

---------------
thunderbird (15.0.1+build1-0ubuntu1) quantal; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
  * Update messagingmenu extension to 1.0 prerelease r140
    - Use the nativeHandle attribute on Thunderbird versions that support
      this, and avoid creating a window just to set the event timestamp
  * Fix LP: #1043743 - Depend on libmessaging-menu0 in Ubuntu 12.10
    - update debian/rules
  * Expose scriptable native window handle
    - add debian/patches/add-nativehandle-attribute.patch
    - update debian/patches/series.in
 -- Chris Coulson <email address hidden> Tue, 11 Sep 2012 14:55:04 +0100

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

Fixes are in bzr, will be uploaded to ppa:ubuntu-mozilla-security/ppa with Thunderbird 15.0.1 (bug 1049428) shortly

Changed in thunderbird (Ubuntu Natty):
status: New → Fix Committed
Changed in thunderbird (Ubuntu Oneiric):
status: New → Fix Committed
Changed in thunderbird (Ubuntu Precise):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 15.0.1+build1-0ubuntu0.11.10.1

---------------
thunderbird (15.0.1+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)
    - see LP: #1049428 for USN information

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
 -- Chris Coulson <email address hidden> Wed, 12 Sep 2012 03:01:20 +0100

Changed in thunderbird (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 15.0.1+build1-0ubuntu0.12.04.1

---------------
thunderbird (15.0.1+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)
    - see LP: #1049428 for USN information

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
 -- Chris Coulson <email address hidden> Wed, 12 Sep 2012 02:57:37 +0100

Changed in thunderbird (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 15.0.1+build1-0ubuntu0.11.04.1

---------------
thunderbird (15.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)
    - see LP: #1049428 for USN information

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
 -- Chris Coulson <email address hidden> Wed, 12 Sep 2012 03:04:00 +0100

Changed in thunderbird (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions